package it.integry.integrywmsnative.core.exception;

import it.integry.integrywmsnative.R;
import it.integry.integrywmsnative.core.utility.UtilityResources;

public final class MultipleResultFromBarcodeException extends Exception {

    public MultipleResultFromBarcodeException() {
        super(UtilityResources.getString(R.string.multiple_results_from_barcode));
    }

    public MultipleResultFromBarcodeException(String barcode) {
        super(UtilityResources.getString(R.string.multiple_results_from_barcode) + " (" + barcode + ")");
    }
}
